import fiji.robot.*; 

/* 
 * Oggetto che sa far attraversare un labirinto semplice  
 * a un robot (in modo poco efficiente). 
 */ 
public class AttraversatoreLabirintoSempliceInefficiente { 

    /* Fa attraversare a robbie un labirinto semplice. */ 
    public static void attraversaLabirintoSemplice(
            Robot robbie) { 
        // pre: robbie si trova all'ingresso 
        //      di un labirinto semplice 

        /* 1. fai avanzare robbie due volte */ 
        robbie.avanza(); 
        robbie.avanza(); 
        /* 2. fai fare a robbie un giro su se stesso */ 
        robbie.giraSinistra(); 
        robbie.giraSinistra(); 
        robbie.giraSinistra(); 
        robbie.giraSinistra(); 
        /* 3. fai avanzare robbie */ 
        robbie.avanza(); 
    } 

    /* Applicazione di prova. */ 
    public static void main(String[] args) { 
        Labirinto l;   // labirinto semplice 
        Robot r;       // robot nel labirinto l
            
        /* crea il labirinto e il robot */ 
        l = new Labirinto("semplice"); 
        r = new Robot(l); 
        /* fa attraversare il labirinto l a r */ 
        AttraversatoreLabirintoSempliceInefficiente.
            attraversaLabirintoSemplice(r); 
        /* ora r  all'uscita di l */ 
    }    
}