import java.util.*;

/* Applicazione che legge dalla tastiera una sequenza di 
 * numeri reali, separati da spazi e terminata da una 'X',  
 * e ne calcola e visualizza la media aritmetica. */
public class MediaAritmetica {
    public static void main(String[] args) {
        double numero;    // elemento corrente della sequenza
        double somma;    // somma degli elementi della sequenza
        int lunghezza;    // lunghezza della sequenza 
        double media;    // media aritmetica della sequenza 
        Scanner in;       // per la lettura dalla tastiera 
        
        /* crea un oggetto per leggere dalla tastiera */ 
        in = new Scanner( System.in ); 

        /* leggi una sequenza di numeri e calcolane la media */
        System.out.println("Scrivi una sequenza non vuota di numeri");
        /* la media sar calcolata come somma/lunghezza della sequenza */ 
        
        /* inizialmente somma e lunghezza valgono zero */
        somma = 0;
        lunghezza = 0; 
        
        /* leggi gli elementi della sequenza, 
         * e calcola la somma e la lunghezza della sequenza */
        while ( in.hasNextInt() ) {   
            /* leggi un elemento della sequenza */
            numero = in.nextDouble();
            /* incrementa somma di numero */
            somma = somma + numero;
            /* incrementa lunghezza di 1 */
            lunghezza = lunghezza+1; 
        }
        
        /* calcola la media aritmetica */ 
        media = somma/lunghezza; 
        
        /* visualizza la media */
        System.out.print("La media dei numeri  ");
        System.out.println(media);
    }
}
