import java.util.*;

/* Applicazione che legge dalla tastiera una sequenza di 
 * numeri interi, separati da spazi e terminata da una 'X',  
 * calcola la somma degli elementi di valore pari 
 * e la somma degli elementi di valore dispari,
 * e visualizza la somma dei pari e la somma dei dispari. */
public class SommaPariEDispari {
    public static void main(String[] args) {
        int numero;    // elemento corrente della sequenza
        int sommaPari;    // somma degli elementi pari
        int sommaDispari;    // somma degli elementi dispari
        Scanner in;    // per la lettura dalla tastiera
        
        /* crea un oggetto per leggere dalla tastiera */
        in = new Scanner( System.in );

        /* leggi una sequenza di numeri interi e calcola
         * la somma dei pari e la somma dei dispari */
        System.out.println("Scrivi una sequenza di numeri interi");
        /* inizialmente le somme valgono zero */
        sommaPari = 0;
        sommaDispari = 0;
        /* finch ci sono altri numeri nella sequenza, leggili
         * e calcola la somma dei pari e la somma dei dispari */
        while ( in.hasNextInt() ) { 
            /* leggi un elemento della sequenza */
            numero = in.nextInt();
            /* se numero  pari, incrementa sommaPari di numero,
             * altrimenti incrementa sommaDispari di numero */
            if (numero%2==0) {  
                sommaPari = sommaPari + numero;
            } else { 
                sommaDispari = sommaDispari + numero;
            }
        }
        
        /* visualizza le somme */
        System.out.print("La somma dei pari  ");
        System.out.println(sommaPari);
        System.out.print("La somma dei dispari  ");
        System.out.println(sommaDispari);
    }
}