/* Applicazione che esemplifica l'uso di stringhe. */ 
public class UsoDiStringhe { 
    public static void main(String[] args) { 
        /* variabili usate negli esempi */ 
        String s, t, u;
        
        /* il metodo length */ 
        System.out.println("automobile".length());    // 10 

        /* la stringa vuota */ 
        System.out.println("".length());              // 0 
        
        /* concatenazione di stringhe */ 
        s = "auto";
        t = "mobile";
        u = s.concat(t);    // u vale (referenzia) "automobile"
        System.out.println(u);    // automobile 
        
        /* i metodi substring */ 
        s = "automobile";
        t = s.substring(2,6);    // t vale "tomo"
        System.out.println(t);    // tomo 
        
        s = "automobile";
        t = s.substring(4);    // t vale "mobile"
        System.out.println(t);    // mobile
        
        /* commentato perch altrimenti genera un errore */ 
        // s = "automobile";
        // t = s.substring(4,15);    // NO: IndexOutOfBoundsException
        
        /* i metodi indexOf */ 
        System.out.println("automobile".indexOf('m'));     // 4
        System.out.println("automobile".indexOf('o'));     // 3
        System.out.println("automobile".indexOf('Z'));     // -1

        System.out.println("automobile".indexOf("auto"));    // 0
        System.out.println("automobile".indexOf("tomo"));    // 2
        System.out.println("mamma".indexOf("ma"));           // 0
        System.out.println("automobile".indexOf("aule"));    // -1
    } 
} 