import java.util.*;

/* 
 * Applicazione che legge dalla tastiera tre numeri interi, 
 * che dovrebbero rappresentare i lati di un triangolo, 
 * e stampa un messaggio che dice se: 
 * (i) i numeri NON rappresentano i lati di un rettangolo, 
 * oppure i numeri rappresentano i lati di un triangolo che  
 * (ii) equilatero, (iii) isoscele oppure (iv) scaleno.
 * 
 * Seconda soluzione. 
 */ 
public class Esercizio_13_3 { 
    public static void main(String[] args) { 
        int a, b, c;        // tre numeri  
        Scanner in;       // per la lettura dalla tastiera 
        
        /* crea un oggetto per leggere dalla tastiera */ 
        in = new Scanner( System.in ); 

        /* legge il valore dei tre numeri */ 
        System.out.println("Scrivi tre numeri interi (che dovrebbero essere i lati di un triangolo) "); 
        a = in.nextInt();
        b = in.nextInt();
        c = in.nextInt();

        /* verifica se i tre numeri sono i lati di un triangolo, e 
         * calcola il tipo di triangolo */
        if (a<=0 || b<=0 || c<=0 || a<=b+c || b<=a+c || c<=a+b) {
            System.out.println("i numeri NON rappresentano i lati di un triangolo");
        } else if (a==b && a==c) {
            System.out.println("il triangolo  equilatero");
        } else if (a==b || a==c || b==c) {
            System.out.println("il triangolo  isoscele");
        } else {
            System.out.println("il triangolo  scaleno");
        }
    } 
} 
 