/* 
 * Applicazione che calcola il numero di occorrenze 
 * di un carattere in una stringa. 
 */ 
public class Occorrenze { 
    /* Calcola il numero di occorrenze del carattere car
     * nella stringa s, ovvero il numero di caratteri di s
     * che sono uguali a car. */
    public static int occorrenze(String s, char car) { 
        // pre: s!=null 
        int i;      // indice per scandire i caratteri di s
        int occ;    // occorrenze di car in s

        /* scandisce e conta i caratteri di s uguali a car */
        occ = 0;
        for (i=0; i<s.length(); i++) {
            if (s.charAt(i)==car) {
                occ++;
            }
        }
        /* il numero di occorrenze di car in s  occ */
        return occ; 
    }
    
    public static void main(String[] args) { 
        /* il numero di m nella parola mamma  3 */ 
        System.out.println(occorrenze("mamma", 'm') + " (3)"); 
        
        /* il numero di k nella parola mamma  0 */ 
        System.out.println(occorrenze("mamma", 'k') + " (0)"); 
    } 
} 
 