/* 
 * Ricerca della posizione di un carattere in una stringa. 
 */ 
public class PosizioneDiUnCarattere { 
    
    /* Verifica se la stringa s contiene il carattere car,
     * restituisce la posizione della prima occorrenza di car in s,
     * oppure -1. */
    public static int posizioneDi(String s, char car) {
        // pre: s!=null
        int posizione;    // posizione di car in s
        int i;            // indice per la scansione di s

        /* scandisce i caratteri di s alla ricerca della
         * prima occorrenza di car in s */
        /* finora non  stata trovato nessun car in s */
        posizione = -1;
        for (i=0; i<s.length(); i++) {
            if (s.charAt(i)==car) {
                /*  stato trovato car in posizione i */
                posizione = i;
                break; 
            }
        }
        return posizione;
    }
  
} 