import java.util.*;

/* 
 * Applicazione che legge dalla tastiera una sequenza 
 * di dieci numeri interi e verifica se  crescente. 
 */ 
class SequenzaCrescente { 
    public static void main(String[] args) { 
        int numero;       // elemento corrente della sequenza
        int precedente;   // elemento che precede numero nella sequenza
        int i;            // per contare gli elementi letti
        boolean crescente;    // la sequenza  crescente

        Scanner in;       // per la lettura dalla tastiera 
        
        /* crea un oggetto per leggere dalla tastiera */ 
        in = new Scanner( System.in ); 

        /* legge una sequenza di dieci numeri e verifica se  crescente */

        /* visualizza un messaggio */
        System.out.println("Scrivi una sequenza di dieci numeri interi");  

        /* legge il primo elemento della sequenza */ 
        numero = in.nextInt();
        /* finora la sequenza letta  crescente */
        crescente = true;
        /* legge e elabora gli altri elementi della sequenza */
        for (i=1; i<10; i++) {
            /* ricorda l'ultimo elemento che  stato letto, 
             * che  il procedente del prossimo che sar letto */
            precedente = numero; 
            /* legge il prossimo numero e verifica che la sequenza
             * sia ancora crescente */
            numero = in.nextInt();
            if (precedente>=numero) { 
                crescente = false;
            } 
        }

        /* il risultato della verifica  crescente */
        if (crescente) {
            System.out.println("La sequenza  crescente");  
        } else { 
            System.out.println("La sequenza non  crescente");
        }
    } 
} 