import java.util.*;

/* 
 * Applicazione che legge dalla tastiera una sequenza 
 * di numeri interi, disposti su una linea e separati da spazi,
 * e ne calcola e visualizza la somma. 
 */
public class SommaSequenzaNumeri {
    public static void main(String[] args) {
        int numero;    // elemento corrente della sequenza
        int somma;    // somma degli elementi della sequenza
        
        Scanner tastiera;       // per leggere dalla tastiera 
    	String linea;    // la linea che contiene la sequenza di numeri 
        Scanner in;       // per leggere dalla linea  
        
        System.out.println("Scrivi una sequenza di numeri interi");

        /* crea un oggetto per leggere dalla tastiera, 
         * e leggi una linea */ 
        tastiera = new Scanner( System.in );
        linea = tastiera.nextLine(); 
        
        /* crea un oggetto per leggere dalla linea */ 
        in = new Scanner( linea );

        /* leggi una sequenza di numeri e calcolane la somma */
        somma = 0;
        /* leggi gli elementi della sequenza e sommali */
        while ( in.hasNextInt() ) {  
            numero = in.nextInt();
            somma += numero;
        }
        
        /* visualizza somma */
        System.out.print("La somma dei numeri  ");
        System.out.println(somma);
    }
}
