/* 
 * Calcolo della sottostringa di una stringa.  
 */ 
public class Sottostringa { 
    
    /* Calcola la sottostringa di s compresa tra i
     * caratteri di posizione da inizio a fine-1. */
    public static String sottostringa(String s, int inizio, int fine) {
        // pre: s!=null &&
        //      inizio>=0 && inizio<=s.length() &&
        //      fine>=inizio && fine<=s.length()
        String ss;    // la sottostringa di s tra inizio e fine
        int i;        // indice per la scansione di s

        /* calcola la sottostringa, come concatenazione
         * dei caratteri tra la posizione inizio (inclusa)
         * e fine (esclusa) */
        ss = "";        // la stringa vuota  l'elemento neutro
                        // della concatenazione
        for (i=inizio; i<fine; i++) {
            ss = ss + s.charAt(i);  // concatenazione a destra
                                    // e conversione implicita
        }
        return ss;
    }

} 