/* 
 * Un oggetto Giocatore rappresenta 
 * un giocatore di un gioco a punti. 
 */
public class Giocatore {
    /* Il nome di questo giocatore. */
    private String nome;
    /* Il punteggio corrente di questo giocatore. */
    private int punteggio;

    /* Crea un nuovo Giocatore,
     * dati il nome e il punteggio iniziale. */
    public Giocatore(String nome, int punteggio) {
        this.nome = nome;
        this.punteggio = punteggio;
    }

    /* Restituisce il nome di questo giocatore. */
    public String getNome() {
        return nome;
    }
    
    /* Restituisce il punteggio corrente di questo giocatore. */
    public int getPunteggio() {
        return punteggio;
    }
    
    /* Cambia il punteggio a questo giocatore. */
    public void setPunteggio(int p) {
        this.punteggio = p;
    }
    
}
