import java.util.*; 

/* 
 * Applicazione che risolve il problema 
 * degli studenti promossi con l'uso degli array. 
 * Considera il problema solo per cinque studenti. 
 */ 
public class StudentiPromossiConArray { 
    public static void main(String[] args) { 
        final int NUMERO_STUDENTI = 5;  // numero degli studenti
        String[] nomi;    // nomi degli studenti
        double[] voti;    // votazioni ottenute dagli studenti
        int i;            // indice per la scansione
                          // degli array nomi e voti
        double sommaVoti;    // somma dei voti
        double soglia;       // soglia per la promozione
        Scanner in;        // per la lettura dalla tastiera 
        
        /* crea l'oggetto in per la tastiera */ 
        in = new Scanner( System.in ); 

        /* creazione degli array per gli studenti */
        /* crea l'array per i nomi degli studenti */
        nomi = new String[NUMERO_STUDENTI];
        /* crea l'array per le votazioni ottenute degli studenti */
        voti = new double[NUMERO_STUDENTI];

        /* leggi nomi e votazioni degli studenti */
        /* stampa un messaggio */
        System.out.println("Inserisci i nomi e le votazioni dei cinque studenti"); 
        for (i=0; i<NUMERO_STUDENTI; i++) {
            /* leggi nome e votazione dell'i-esimo studente */
            nomi[i] = in.next(); 
            voti[i] = in.nextDouble();
        }

        /* calcola la soglia per la promozione */
        sommaVoti = 0;
        for (i=0; i<NUMERO_STUDENTI; i++) {
            sommaVoti += voti[i];
        }
        soglia = (2./3.) * (sommaVoti/NUMERO_STUDENTI);

        /* stampa l'elenco degli studenti promossi */
        /* stampa un messaggio */
        System.out.println("La media delle votazioni  " + sommaVoti/NUMERO_STUDENTI); 
        System.out.println("La soglia per la promozione  " + soglia); 
        System.out.println("Gli studenti promossi sono:"); 
        for (i=0; i<NUMERO_STUDENTI; i++) {
            /* verifica se l'i-esimo studente  stato promosso */
            if (voti[i] >= soglia) {
                System.out.println(nomi[i] + " " + voti[i]);
            }
        }
    }
} 