import java.util.*; 

/* 
 * Applicazione che risolve il problema 
 * degli studenti da promuovere con l'uso di un array di oggetti dati. 
 * Considera il problema solo per cinque studenti. 
 */ 
public class StudentiPromossiConOggettiDati { 
    public static void main(String[] args) { 
        final int NUMERO_STUDENTI = 5;  // numero degli studenti
        Valutazione[] vs;                // valutazioni degli studenti
        String nome;      // nome di uno studente
        double voto;      // votazione ottenuta da uno studente
        int i;            // indice per la scansione di vs
        double sommaVoti;    // somma dei voti
        double soglia;       // soglia per la promozione
        Scanner in;        // per la lettura dalla tastiera 
        
        /* crea l'oggetto in per la tastiera */ 
        in = new Scanner( System.in ); 

        /* crea l'array per le valutazioni degli studenti */
        vs = new Valutazione[NUMERO_STUDENTI];

        /* leggi nomi e votazioni dei cinque studenti */
        /* stampa un messaggio */
        System.out.println("Inserisci i nomi e le votazioni dei cinque studenti"); 
        for (i=0; i<NUMERO_STUDENTI; i++) {
            /* leggi nome e votazione dell'i-esimo studente */
            nome = in.next();
            voto = in.nextDouble();
            /* crea la valutazione per l'i-esimo studente */
            vs[i] = new Valutazione(nome,voto);
        }

        /* calcola la soglia per la promozione */
        sommaVoti = 0;
        for (i=0; i<NUMERO_STUDENTI; i++) {
            sommaVoti += vs[i].getVoto();
        }
        soglia = (2./3.) * (sommaVoti/NUMERO_STUDENTI);

        /* stampa l'elenco degli studenti da promuovere */
        /* stampa un messaggio */
        System.out.println("La media delle votazioni  " + sommaVoti/NUMERO_STUDENTI); 
        System.out.println("La soglia per la promozione  " + soglia); 
        System.out.println("Gli studenti promossi sono:"); 
        for (i=0; i<NUMERO_STUDENTI; i++) {
            /* verifica se l'i-esimo studente  stato promosso */
            if (vs[i].getVoto() >= soglia) {
                System.out.println( vs[i].toString() ); 
            }
        }
    }
} 