import static org.junit.Assert.*;

import org.junit.Test;


public class TestCrescente {

    @Test 
    public void testCrescenteArrayVuoto() {
        assertTrue(Crescente.crescente( new int[] { } ));
    }

    @Test 
    public void testCrescenteArrayUnElemento() {
        assertTrue(Crescente.crescente( new int[] { 5 } ));
    }
    
    @Test 
    public void testCrescenteMoltiElementi() {
    	assertTrue(Crescente.crescente( new int[] { 1, 2, 4, 12 } ));
    }

    @Test 
    public void testNonCrescenteInizio() {
    	assertFalse(Crescente.crescente( new int[] { 3, 2, 4, 12 } ));
    }

    @Test 
    public void testNonCrescenteFine() {
    	assertFalse(Crescente.crescente( new int[] { 1, 2, 40, 12 } ));
    }

    @Test 
    public void testNonCrescenteMet() {
    	assertFalse(Crescente.crescente( new int[] { 1, 7, 4, 12 } ));
    }

    @Test 
    public void testNOnCrescenteElementiRipetuti() {
    	assertFalse(Crescente.crescente( new int[] { 1, 4, 4, 12 } ));
    }
        
}
