import static org.junit.Assert.*;

import org.junit.Test;


public class TestMassimo {

    @Test 
    public void testMassimoArrayUnElemento() {
        assertEquals(5, Massimo.massimo( new int[] { 5 } ));
    }
    
    @Test 
    public void testMassimoInPrimaPosizione() {
        assertEquals(5, Massimo.massimo( new int[] { 5, 2, 4 } ));
    }

    @Test 
    public void testMassimoInUltimaPosizione() {
        assertEquals(4, Massimo.massimo( new int[] { 3, 2, 4 } ));
    }

    @Test 
    public void testMassimoInPosizioneIntermedia() {
        assertEquals(21, Massimo.massimo( new int[] { 5, 20, 21, 4 } ));
    }

    @Test 
    public void testMassimoTuttiNegativi() {
        assertEquals(-2, Massimo.massimo( new int[] { -5, -2, -21, -4 } ));
    }
    
}
