import static org.junit.Assert.*;

import org.junit.Test;


public class TestUguali {

    @Test 
    public void testUgualiArrayVuoto() {
        assertTrue(Uguali.uguali( new int[] { }, new int[] { } ));
    }

    @Test 
    public void testUgualiVero() {
        assertTrue(Uguali.uguali( new int[] { 1, 5, 7, 9 }, new int[] { 1, 5, 7, 9 } ));
    }
        

    @Test 
    public void testNonUgualiStessaLunghezza() {
        assertFalse(Uguali.uguali( new int[] { 1, 5, 7, 9 }, new int[] { 1, 7, 5, 9 } ));
    }

    @Test 
    public void testNonUgualiLunghezzaDiversa() {
        assertFalse(Uguali.uguali( new int[] { 1, 5, 7, 9 }, new int[] { 1, 5, 7, 9, 11 } ));
    }

    
}
