/* 
 * Applicazione che introduce l'uso degli array bidimensionali. 
 */ 
public class Numeri {
	
    public static void main(String[] args) { 
        int[][] numeri;    // un array bidimensionale di numeri
        int i, j;    // indici per la scansione di numeri 
        
        /* crea l'array bidimensionale numeri di 4 righe e 3 colonne */
        final int RIGHE = 4;      // numero di righe di numeri
        final int COLONNE = 3;    // numero di colonne di numeri
        numeri = new int[RIGHE][COLONNE];

        /* assegna un valore agli elementi di numeri */
        for (i=0; i<RIGHE; i++) {
            for (j=0; j<COLONNE; j++) {
                numeri[i][j] = i*COLONNE+j+1;
            }
        }

        /* visualizza gli elementi di numeri */
        for (i=0; i<RIGHE; i++) {
            /* visualizza la riga i-esima di numeri */
            for (j=0; j<COLONNE; j++) {
                System.out.print(numeri[i][j] + " ");
            }
            System.out.println();
        }
    }
    
}