/* 
 * Calcolo della somma degli elementi di un array di array. 
 */ 
public class SommaConMetodoDiSupporto { 

    /* Calcola la somma degli elementi dell'array di array a. */
    public static int somma(int[][] a) {
        // pre: a!=null && ogni riga di a  non nulla
        int i;    // indice per la scansione delle righe di a
        int somma;    // somma degli elementi di a

        /* calcola la somma degli elementi di a, come somma
         * delle somme degli elementi delle righe di a */
        somma = 0;
        for (i=0; i<a.length; i++) {
            somma += somma(a[i]);
        }
        return somma;
    }

    /* Calcola la somma degli elementi dell'array a. */
    public static int somma(int[] a) {
        // pre: a!=null
        int i;        // indice per la scansione di a
        int somma;    // somma degli elementi di a

        /* scandisce e somma gli elementi di a */
        somma = 0;
        for (i=0; i<a.length; i++) {
            somma += a[i];
        }
        return somma;
    }
 
} 