import static org.junit.Assert.*;

import org.junit.Test;


public class TestUguali {

	@Test
	public void testUguali_Vero() {
		assertTrue( Uguali.uguali( 
				new int[][] { { 1, 2, 3, 4 } , 
						{ 3 }, 
						{ 0, 5, 2 }, 
						{ 1, 1, 0, 9 } }, 
						new int[][] { { 1, 2, 3, 4 } , 
						{ 3 }, 
						{ 0, 5, 2 }, 
						{ 1, 1, 0, 9 } } 
				) );
	}

	@Test
	public void testUguali_Falso() {
		assertFalse( Uguali.uguali( 
				new int[][] { { 1, 2, 3, 4 } , 
						{ 3 }, 
						{ 0, 5, 2 }, 
						{ 1, 1, 0, 9 } }, 
						new int[][] { { 1, 2, 3, 4 } , 
						{ 3 }, 
						{ 0, 15, 2 }, 
						{ 1, 1, 0, 9 } } 
				) );
	}

	@Test
	public void testUguali_Falso_RigheDiverse() {
		assertFalse( Uguali.uguali( 
				new int[][] { { 1, 2, 3, 4 } , 
						{ 3 }, 
						{ 0, 5, 2 }, 
						{ 1, 1, 0, 9 }, 
						{ 3 } }, 
						new int[][] { { 1, 2, 3, 4 } , 
						{ 3 }, 
						{ 0, 5, 2 }, 
						{ 1, 1, 0, 9 } } 
				) );
	}

	@Test
	public void testUguali_Falso_Colonne_Diverse() {
		assertFalse( Uguali.uguali( 
				new int[][] { { 1, 2, 3, 4 } , 
						{ 3 }, 
						{ 0, 5, 2, 8 }, 
						{ 1, 1, 0, 9 } }, 
						new int[][] { { 1, 2, 3, 4 } , 
						{ 3 }, 
						{ 0, 5, 2 }, 
						{ 1, 1, 0, 9 } } 
				) );
	}

	
}
