/* 
 * Visualizzazione di un array di array. 
 */ 
class Visualizzazione { 

    /* Visualizza gli elementi dell'array di array a. */
    public static void visualizza(int[][] a) {
        // pre: a!=null && ogni riga di a  non nulla
        int i, j;    // indici per la scansione di a

        /* visualizza gli elementi di a */
        for (i=0; i<a.length; i++) {
            /* visualizza la riga i-esima di a */
            for (j=0; j<a[i].length; j++) {
                System.out.print(a[i][j] + " ");
            }
            /* va a capo */
            System.out.println();
        }
    }

    /* Applicazione di prova */ 
    public static void main(String[] args) { 
        /* un array bidimensionale */ 
        visualizza( new int[][] { { 1, 2, 3 } , 
                                  { 4, 5, 6 }, 
                                  { 7, 8, 9 }, 
                                  { 10, 11, 12 } } ); 

        /* un array di array */ 
        visualizza( new int[][] { { 1 } , 
                                  { 2, 3 }, 
                                  { 4, 5, 6 }, 
                                  { 7, 8, 9, 10 } } ); 
    } 
} 