/* 
 * Calcolo ricorsivo del massimo comun divisore. 
 */ 
public class Mcd { 

    /* Calcola il massimo comun divisore di n e m. */
    public static int mcd(int n, int m) {
        // pre: n>0 && m>0
        int mcd;    // massimo comun divisore di n e m

        /* calcola il massimo comun divisore di n e m
         * usando l'algoritmo di Euclide */
        if (n==m) {       // caso base
            mcd = n;
        } else if (n>m) {   // caso induttivo
            mcd = mcd(n-m, m);
        } else {            // altro caso induttivo, n<m
            mcd = mcd(n, m-n);
        }
        return mcd;
    }
    
} 