/* 
 * Calcolo ricorsivo della somma degli elementi di un array. 
 */ 
public class SommaArray { 

    /* Calcola la somma degli elementi di a che hanno indice
     * maggiore o uguale a i. */
    public static int somma(int[] a, int i) {
        // pre: a!=null && i>=0 && i<=a.length
        int s;    // la somma degli elementi di a
                  // che hanno indice maggiore o uguale a i

        if (a.length<=i) {   // caso base: "porzione" vuota
            s = 0;
        } else {           // caso induttivo: "porzione" non vuota
            s = a[i] + somma(a, i+1);
        }
        return s;
    }

    /* Calcola la somma degli elementi dell'array a. */
    public static int somma(int[] a) {
        // pre: a!=null
        /* calcola la somma degli elementi di a
         * a partire da quello di indice 0 */
        return somma(a, 0);
    }
 
} 