import static org.junit.Assert.*;

import org.junit.Test;


public class TestSommaArray {

    @Test 
    public void testSommaArrayVuoto() {
        /* la somma degli elementi di un array vuoto  zero */
        assertEquals(0, SommaArray.somma( new int[] { } ));
    }
    
    @Test 
    public void testSommaArrayUnElemento() {
        /* la somma degli elementi di un array composto da
         * un solo elemento  uguale al valore dell'elemento */
        assertEquals(5, SommaArray.somma( new int[] { 5 } ));
    }
    
    @Test 
    public void testSommaArrayPiElementi() {
        assertEquals(6, SommaArray.somma( new int[] { 1, 2, 3 } ));
    }


}
