/* 
 * Ordinamento per inserzione. 
 */ 
public class InsertionSort { 

    /* Ordina l'array dati in modo non decrescente.
     * Ordinamento per inserzione. */
    public static void insertionSort(int[] dati) {
        // pre: dati!=null
        int n;           // lunghezza di dati
        int i;           // indice per la scansione di dati
        int ordinati;    // numero di elementi che sono
                         // "relativamente ordinati"
        int corrente;    // valore dell'elemento da "ordinare"

        /* ordina dati in modo non decrescente
         * (ordinamento per inserzione) */
        n = dati.length;
        /* esegue n-1 passate */
        for (ordinati=1; ordinati<n; ordinati++) {
            /* gli elementi "relativamente ordinati" sono quelli
             * di indice tra 0 (compreso) e ordinati (escluso) */
            /* viene "ordinato" il primo elemento
             * tra i "non relativamente ordinati" */
            corrente = dati[ordinati];
            for (i=ordinati; i>0; i--) {
                if (corrente<dati[i-1]) {  
                	/* sposta verso destra */
                    dati[i] = dati[i-1];
                } else {
                	/* tutti gli elementi da spostare 
                	 * sono stati spostati */
                	break; 
                }
            }
            /* inserisce corrente tra i "relativamente ordinati" */
            dati[i] = corrente;
            /* ora gli elementi "relativamente ordinati" sono
             * quelli di indice compreso tra 0 e ordinati */
        }
    }
  
} 