import static org.junit.Assert.*;

import org.junit.Test;


public class TestBubbleSort {

	@Test
	public void testSimpleBubbleSort() {
		int[] daOrdinare = new int[] { 10, 2, 16, 0, -1, 51, 4, 23, 9, 8 }; 
		int[] ordinato   = new int[] { -1, 0, 2, 4, 8, 9, 10, 16, 23, 51 };
		SimpleBubbleSort.simpleBubbleSort(daOrdinare);
		assertArrayEquals(ordinato, daOrdinare);
	}

	@Test
	public void testBubbleSort() {
		int[] daOrdinare = new int[] { 10, 2, 16, 0, -1, 51, 4, 23, 9, 8 }; 
		int[] ordinato   = new int[] { -1, 0, 2, 4, 8, 9, 10, 16, 23, 51 };
		BubbleSort.bubbleSort(daOrdinare);
		assertArrayEquals(ordinato, daOrdinare);
	}

	@Test
	public void testBubbleSortBidirezionale() {
		int[] daOrdinare = new int[] { 10, 2, 16, 0, -1, 51, 4, 23, 9, 8 }; 
		int[] ordinato   = new int[] { -1, 0, 2, 4, 8, 9, 10, 16, 23, 51 };
		BubbleSortBidirezionale.bubbleSortBidirezionale(daOrdinare);
		assertArrayEquals(ordinato, daOrdinare);
	}
	
}
