import java.util.*;
/* 
 * Scansione di un insieme con un iteratore.  
 */ 
public class ContaXIteratore {

    /* Conta quante stringhe dell'insieme s 
     * contengono il carattere `X'. */ 
    public static int contaX(Set<String> s) {
        // pre: s!=null && ogni elemento di s  non null 
        Iterator<String> it;      // per visitare gli elementi di s
        String t;        // elemento corrente di s 
        int stringheConX;    // quanti elementi di s 
                             // contengono almeno una `X' 

        /* conta le stringhe con una `X', 
         * scandendo gli elementi di s */
        stringheConX = 0; 
        it = s.iterator();
        while ( it.hasNext() ) { 
            /* accede al prossimo elemento di s */
            t = it.next(); 
            if ( t.indexOf('X')>=0 ) {
                stringheConX++; 
            } 
        }
        return stringheConX; 
    }

}