import java.awt.event.*;

/* 
 * Ascoltatore di eventi per l'applicazione ConvertitoreTemperature. 
 */
class AscoltatorePerConvertitoreTemperature implements ActionListener {
    /* Applicazione che usa l'ascoltatore */
    private ConvertitoreTemperature ct;

    /* Crea un nuovo ascoltatore per l'applicazione ct. */
    public AscoltatorePerConvertitoreTemperature(ConvertitoreTemperature ct) {
        this.ct = ct;
    }
    /* Gestione degli eventi d'azione. */
    public void actionPerformed(ActionEvent e) {
        /* sono possibili due eventi:  stato premuto il pulsante
         * pulsanteACelsius o pulsanteAFahrenheit di ct */
        if (e.getSource()==ct.pulsanteACelsius) {
            ct.aCelsius();
        } else if (e.getSource()==ct.pulsanteAFahrenheit) {
            ct.aFahrenheit();
        }
    }
}
