import javax.swing.*;

/* 
 * L'applicazione EtichettaECampoDiTesto, 
 * con un'etichetta e un campo di testo. 
 */
public class EtichettaECampoDiTesto extends JFrame {
    /* variabili d'istanza per i componenti dell'interfaccia */ 
    private JLabel etichetta;    // una etichetta
    private JTextField campoDiTesto;     // un campo di testo
    
    /* altre variabili d'istanza */
    
    /* Crea una nuova applicazione EtichettaECampoDiTesto. */
    public EtichettaECampoDiTesto() {
        /* inizializza la frame */
        super();

        /* l'esecuzione dell'applicazione termina con
         * la chiusura della frame */
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        /* assegna un titolo alla frame */
        this.setTitle("Interfaccia con un'etichetta e un campo di testo");

        /* inizializza l'interfaccia dell'applicazione */
        this.inizializzaGUI();

        /* dimensiona e visualizza la frame */
        this.pack();
        this.setVisible(true);
    }
    
   /* Inizializza l'interfaccia grafica dell'applicazione
    * e la gestione degli eventi. */
   private void inizializzaGUI() {
       /* pannello usato come contenitore intermedio */
       JPanel intermedio;

       /* crea il contenitore intermedio */
       intermedio = new JPanel();
       
       /* crea il gestore di layout del contenitore intermedio */
       
       /* crea i componenti dell'interfaccia grafica */ 
        etichetta = new JLabel("Scrivi il tuo nome");
        campoDiTesto = new JTextField(30);
       
       /* crea gli ascoltatori di eventi */
       
       /* registra le sorgenti di eventi */

       /* aggiunge i componenti al contenitore intermedio */
        intermedio.add(etichetta);
        intermedio.add(campoDiTesto);
       
       /* aggiunge il contenitore intermedio alla frame */
       this.getContentPane().add(intermedio);
   }
    
    /* altri metodi */

    /* L'applicazione EtichettaECampoDiTesto. */
    public static void main(String[] args) {
        /* crea ed avvia una nuova applicazione EtichettaECampoDiTesto */
        new EtichettaECampoDiTesto();
    }
}
