/* 
 * Oggetto per calcolare la distanza tra due punti. 
 */
public class Misuratore {
	
    /* Calcola la distanza tra i punti p1 e p2
     * di coordinate (p1x,p1y) e (p2x,p2y) */
    public static double distanza(double p1x, double p1y,
                                  double p2x, double p2y) {
        double qd;    // quadrato della distanza tra p1 e p2
        double d;     // distanza tra p1 e p2

        /* calcola il quadrato della distanza tra p1 e p2 */
        qd = (p1x-p2x)*(p1x-p2x) + (p1y-p2y)*(p1y-p2y);

        /* calcola la distanza tra p1 e p2 */
        d = Math.sqrt(qd);

        /* restituisce la distanza tra p1 e p2 */
        return d;
    }
    
}

