import fiji.robot.*;

/* 
 * Oggetto per far attraversare labirinti lineari
 * a un robot. 
 */
public class AttraversatoreLabirintiLineari {

    /* Fa attraversare a robbie un labirinto lineare. */
    public static void attraversaLabirintoLineare(
            Robot robbie) {
        // pre: robbie si trova all'ingresso
        //      di un labirinto lineare

        /* fai entrare robbie nel labirinto */
        robbie.avanza();
        /* fai avanzare robbie
         * fintato che robbie  dentro al labirinto */
        while (robbie.dentro()) {
            /* robbie  dentro al labirinto */
            /* fai avanzare robbie */
            robbie.avanza();
        }
        /* ora robbie si trova all'uscita del labirinto */
    }

    /* Applicazione di prova. */
    public static void main(String[] args) {
        Labirinto l;   // labirinto semplice
        Robot r;       // robot nel labirinto l

        /* crea il labirinto e il robot */
        l = new Labirinto("lineare");
        r = new Robot(l);
        /* fa attraversare il labirinto l a r */
        AttraversatoreLabirintiLineari.
            attraversaLabirintoLineare(r);
        /* ora r  all'uscita di l */
    }
}