import java.util.*;

/* Applicazione che legge dalla tastiera una sequenza di 
 * numeri interi, separati da spazi e terminata da una 'X',  
 * calcola il numeri di zeri della sequenza 
 * (ovvero, il numero di elementi della sequenza che sono uguali a zero) 
 * e visualizza il numero di zeri. */
public class ContaZeri {
    public static void main(String[] args) {
        int numero;    // elemento corrente della sequenza
        int zeri;    // numero di zeri nella sequenza
        Scanner in;       // per la lettura dalla tastiera 
        
        /* crea un oggetto per leggere dalla tastiera */ 
        in = new Scanner( System.in ); 

        /* leggi una sequenza di numeri interi e
         * calcolane il numero di zeri */
        System.out.println("Scrivi una sequenza di numeri interi");
        /* inizialmente zeri vale zero */
        zeri = 0;
        /* finch ci sono altri numeri nella sequenza,
         * leggili e calcola il numero di zeri */
        while ( in.hasNextInt() ) {  
            /* leggi un elemento della sequenza */
            numero = in.nextInt();
            /* se numero  uguale a zero, incrementa zeri */
            if (numero==0) {
                zeri = zeri + 1;
            }
        }
        
        /* visualizza zeri */
        System.out.print("Il numero di zeri nella sequenza  ");
        System.out.println(zeri);
    }
}