/* 
 * Oggetto per calcolare il fattoriale 
 * di un numero naturale. 
 */ 
public class Fattoriale {     

    /* Calcola il fattoriale del numero naturale n. */ 
    public static int fattoriale(int n) { 
        // pre: n >= 0 
        int i;       // i-esimo numero naturale 
        int f;       // fattoriale di n (da calcolare) 

        /* calcola il fattoriale di n */ 
        f = 1; 
        i = 1; 
        while (i<=n) { 
            f = f * i; 
            i = i + 1; 
        } 

        return f; 
    }

    /* applicazione di test */ 
    public static void main(String[] args) { 
        int f; 

        System.out.println("Calcolo del fattoriale di N (N!)"); 

        System.out.print("4! (24):   "); 
        f = Fattoriale.fattoriale(4); 
        System.out.println(f);

        System.out.print("6! (720):  "); 
        f = Fattoriale.fattoriale(6); 
        System.out.println(f);
    }
} 