import java.util.*;

/* Applicazione che legge dalla tastiera una sequenza di 
 * numeri interi, separati da spazi e terminata da una 'X',  
 * e ne calcola e visualizza la somma. */
public class SommaSequenzaNumeri {
    public static void main(String[] args) {
        int numero;    // elemento corrente della sequenza
        int somma;    // somma degli elementi della sequenza
        Scanner in;       // per la lettura dalla tastiera 
        
        /* crea un oggetto per leggere dalla tastiera */ 
        in = new Scanner( System.in ); 

        /* leggi una sequenza di numeri e calcolane la somma */
        System.out.println("Scrivi una sequenza di numeri interi");
        /* inizialmente somma vale zero */
        somma = 0;
        /* finch ci sono altri numeri nella sequenza,
         * leggili e sommali a somma */
        while ( in.hasNextInt() ) {   
            /* leggi un elemento della sequenza */
            numero = in.nextInt();
            /* incrementa somma di numero */
            somma = somma + numero;
        }
        
        /* visualizza somma */
        System.out.print("La somma dei numeri  ");
        System.out.println(somma);
    }
}
