/* Applicazione che esemplifica il confronto
 * (di uguaglianza e lessicografico) tra stringhe. */
public class Confronto {
    public static void main(String[] args) {
        /* variabili usate negli esempi */ 
        String s, t, u, v;

        /* confronto di uguaglianza con il metodo equals */
        s = "automobile";
        t = "automobile";
        u = "auto" + "mobile";          // ora anche u vale automobile
        v = "auto".concat("mobile");    // ora anche v vale automobile
        System.out.println(s.equals(t));    // true
        System.out.println(s.equals(u));    // true
        System.out.println(s.equals(v));    // true

        /* confronto di uguaglianza con l'operatore == */
        s = "automobile";
        t = "automobile";
        u = "auto" + "mobile";          // ora anche u vale automobile
        v = "auto".concat("mobile");    // ora anche v vale automobile
        System.out.println(s==t);    // true
        System.out.println(s==u);    // true
        System.out.println(s==v);    // false (!)

        /* confronto lessicografico */
        System.out.println("alfa".compareTo("alfa"));  // 0
        System.out.println("alfa".compareTo("beta"));  // -1
        System.out.println("alfa".compareTo("alba"));  // 4
        System.out.println("alfa".compareTo("alfabeto"));  // -4
    }
}