/* Applicazione che esemplifica la relazione tra stringhe e tipi primitivi. */ 
public class StringheETipiPrimitivi { 
    public static void main(String[] args) { 
        String s; 
        
        /* conversione da tipi primitivi a stringhe */ 
        s = String.valueOf(12);    //  "12"
        System.out.println(s);     // 12 

        s = String.valueOf(12.3);    //  "12.3"
        System.out.println(s);       // 12.3 

        /* conversione da stringhe a tipi primitivi */ 
        int i; 
        i = Integer.parseInt("16");    // 16 
        System.out.println(i);         // 16 

        byte b; 
        b = Byte.parseByte("16");    // 16 
        System.out.println(b);         // 16 
        
        short sh; 
        sh = Short.parseShort("16");    // 16 
        System.out.println(sh);         // 16 

        long l; 
        l = Long.parseLong("16");    // 16 
        System.out.println(l);         // 16 

        double d; 
        d = new Double("1.1").doubleValue();    // 1.1 
        System.out.println(d);         // 1.1 
        
        float f; 
        f = new Float("1.1").floatValue();    // 1.1 
        System.out.println(f);         // 1.1 

        boolean bo; 
        bo = new Boolean("true").booleanValue();    // true 
        System.out.println(bo);         // true 
        
        /* il metodo charAt */ 
        char car; 

        car = "automobile".charAt(0);    // 'a'
        System.out.println(car);         // a

        car = "automobile".charAt(2);    // 't'
        System.out.println(car);         // t
    } 
} 