import java.util.*;

/* 
 * Applicazione che legge dalla tastiera un numero N  
 * e calcola i primi N numeri della successione di Fibonacci. 
 */ 
public class Fibonacci { 
    public static void main(String[] args) { 
        int n;    // numero di elementi della successione da calcolare
        int fib;    // elemento corrente della successione di Fibonacci 
        int prec;    // elemento che precede fib nella successione di Fibonacci 
        int precprec;    // elemento che precede prec nella successione di Fibonacci 
        int i;    // per contare gli elementi calcolati
        Scanner in;       // per la lettura dalla tastiera 
        
        /* crea un oggetto per leggere dalla tastiera */ 
        in = new Scanner( System.in ); 

        /* legge il valore di n */ 
        System.out.print("Scrivi un numero intero (maggiore di 1): "); 
        n = in.nextInt();
        
        /* calcola i primi due numeri della successione di Fibonacci */
        fib = 1; 
        System.out.print(fib + " "); 
        prec = fib; 
        fib = 1; 
        System.out.print(fib + " "); 

        /* calcola i rimanenti elementi della successione */
        for (i=2; i<n; i++) {
        	precprec = prec; 
        	prec = fib; 
        	fib = prec + precprec; 
            System.out.print(fib + " "); 
        }
        System.out.println(); 
    } 
} 
 