import java.util.*;

/* 
 * Applicazione che legge dalla tastiera una sequenza 
 * di numeri interi, disposti su una linea e separati da spazi,
 * e verifica se la sequenza contiene almeno un elemento di valore zero. 
 */ 
public class AlmenoUnoZero { 
    public static void main(String[] args) { 
        int numero;       // elemento corrente della sequenza
        boolean contieneZero;    // la sequenza contiene almeno
                                 // un elemento uguale a zero

        Scanner tastiera;       // per leggere dalla tastiera 
    	String linea;    // la linea che contiene la sequenza di numeri 
        Scanner in;       // per leggere dalla linea  
        
        System.out.println("Scrivi una sequenza di numeri interi");

        /* crea un oggetto per leggere dalla tastiera, 
         * e leggi una linea */ 
        tastiera = new Scanner( System.in );
        linea = tastiera.nextLine(); 

        /* crea un oggetto per leggere dalla linea */ 
        in = new Scanner( linea );

        /* legge la sequenza e verifica se contiene almeno uno zero */
        contieneZero = false;
        while (in.hasNextInt()) {
            /* legge il prossimo elemento della sequenza */
            numero = in.nextInt();
            /* se numero vale zero, allora la sequenza
             * contiene almeno uno zero */
            if (numero==0) {
                contieneZero = true;
            }
        }
        
        /* il risultato  contieneZero */
        if (contieneZero) {
            System.out.println("La sequenza contiene almeno uno zero"); 
        } else { 
            System.out.println("La sequenza non contiene nessuno zero");
        }
    } 
} 