import java.util.*;

/* 
 * Applicazione che legge dalla tastiera una sequenza 
 * di numeri interi, disposti su una linea e separati da spazi,
 * calcola il numeri di zeri della sequenza 
 * (ovvero, il numero di elementi della sequenza che sono uguali a zero) 
 * e visualizza il numero di zeri. 
 */
public class ContaZeri {
    public static void main(String[] args) {
        int numero;    // elemento corrente della sequenza
        int zeri;    // numero di zeri nella sequenza

        Scanner tastiera;       // per leggere dalla tastiera 
    	String linea;    // la linea che contiene la sequenza di numeri 
        Scanner in;       // per leggere dalla linea  
        
        System.out.println("Scrivi una sequenza di numeri interi");

        /* crea un oggetto per leggere dalla tastiera, 
         * e leggi una linea */ 
        tastiera = new Scanner( System.in );
        linea = tastiera.nextLine(); 

        /* crea un oggetto per leggere dalla linea */ 
        in = new Scanner( linea );

        /* leggi la sequenza di numeri e conta gli zeri */
        zeri = 0;
        while ( in.hasNextInt() ) {  
            numero = in.nextInt();
            if (numero==0) {
                zeri++;
            }
        }
        
        /* visualizza zeri */
        System.out.print("Il numero di zeri nella sequenza  ");
        System.out.println(zeri);
    }
}