/* 
 * Ricerca della posizione di una sottostringa in una stringa. 
 */ 
public class PosizioneDiUnaSottostringa { 
    
    /* Verifica se la stringa s contiene una sottostringa uguale a t
     * e restituisce la posizione della prima occorrenza di t in s,
     * oppure -1. */
    public static int posizioneDi(String s, String t) {
        // pre: s!=null && t!=null
        int posizione;    // posizione della sottostringa t in s
        int ls, lt;       // lunghezza di s e lunghezza di t
        int i;            // indice per la scansione
                          // delle sottostringhe di s
        int j;            // indice per la scansione di t
        boolean ssug;     // la sottostringa di s che inizia in
                          // posizione i ed  lunga lt  uguale a t

        /* inizializzazioni */
        ls = s.length();
        lt = t.length();
        posizione = -1;
        /* scandisce le sottostringhe di s
         * alla ricerca di una sottostringa uguale a t */
        for (i=0; i<=ls-lt; i++) {
            /* scandisce i caratteri di t per verificare
             * se la sottostringa di s iniziante
             * in posizione i e lunga lt  uguale a t */
            ssug = true;
            for (j=0; ssug && j<lt; j++) {
                if (s.charAt(i+j) != t.charAt(j)) {
                    ssug = false;
                    break; 
                }
            }
            if (ssug) {   // sottostringa di s uguale a t trovata
                posizione = i;    // allora t  sottostringa di s
                break; 
            }
        }
        return posizione;
    }
  
} 