/* 
 * Verifica se due stringhe sono uguali. 
 */ 
public class Uguali { 
    
    /* Verifica se le stringhe s e t sono uguali. */
    public static boolean uguali(String s, String t) {
        // pre: s!=null && t!=null
        boolean uguali;    // s e t sono uguali
        int i;             // indice per la scansione di s e t

        /* verifica se s e t sono uguali */
        if (s.length()==t.length()) {
            /* s e t hanno la stessa lunghezza: s e t
            /* possono essere uguali, ma sono diverse
             * se contengono almeno un carattere diverso */
            uguali = true;
            for (i=0; i<s.length(); i++) {
                if (s.charAt(i) != t.charAt(i)) {
                    uguali = false;
                    break; 
                }
            }
        } else
            /* s e t hanno lunghezza diversa,
             * e quindi sono diverse */
            uguali = false;
        return uguali;
    }
  
} 