/* 
 * Applicazione di prova per Punto. 
 */
public class DemoPunto {
    public static void main(String[] args) {
        Punto p, p1, p2;         // tre punti nel piano
        p = new Punto(0,0);      // p  l'origine del piano
        p1 = new Punto(1,-1);    // p1  il punto di coordinate (1,-1)
        p2 = new Punto(1,-1);    // un altro punto di coordinate (1,-1)
        System.out.println(p1.getX());        // visualizza 1.0
        System.out.println(p1.getY());        // visualizza -1.0
        p1.trasla(4,3);               // ora p1 ha coordinate (5,2)
        System.out.println(p1.getX());        // visualizza 5.0
        System.out.println(p1.getY());        // visualizza 2.0

        System.out.println(Punto.distanza(p1,p2));    // visualizza 5.0

        System.out.println(p1.toString());    // visualizza Punto[x=5.0,y=2.0]
        System.out.println(p2);               // visualizza Punto[x=1.0,y=-1.0]

        System.out.println(p1.equals(p2));    // visualizza false
        p1 = new Punto(1,-1);    // p1  il punto di coordinate (1,-1)
        p2 = new Punto(1,-1);    // un altro punto di coordinate (1,-1)
        System.out.println(p1.equals(p2));    // visualizza true

        p1 = new Punto();      // p1  il punto di coordinate (0,0)
        p2 = new Punto(p1);    // un altro punto di coordinate (0,0)
        System.out.println(p1.equals(p2));    // visualizza true
        System.out.println(p1==p2);           // visualizza false
    }
}