import static org.junit.Assert.*;

import org.junit.Test;


public class TestPunto {

	@Test
	public void test_0_0_getX() {
        Punto p;  // un punto  
        p = new Punto(0,0);      // p  l'origine del piano 
        assertEquals(0, p.getX(), 1e-5);
	}

	@Test
	public void test_0_0_getY() {
        Punto p;  // un punto  
        p = new Punto(0,0);      // p  l'origine del piano 
        assertEquals(0, p.getY(), 1e-5);
	}


	@Test
	public void test_3_4_getX() {
        Punto p;  // un punto  
        p = new Punto(3,4);      // p  il punto (3,4) 
        assertEquals(3, p.getX(), 1e-5);
	}

	@Test
	public void test_3_4_getY() {
        Punto p;  // un punto  
        p = new Punto(3,4);      // p  il punto (3,4) 
        assertEquals(4, p.getY(), 1e-5);
	}

	@Test
	public void test_equals_true() {
        Punto p1, p2;  // due punti  
        p1 = new Punto(3,4);      // p1  il punto (3,4) 
        p2 = new Punto(3,4);      // p2  il punto (3,4) 
        assertTrue(p1.equals(p2));
	}

	@Test
	public void test_equals_false() {
        Punto p1, p2;  // due punti  
        p1 = new Punto(3,4);      // p1  il punto (3,4) 
        p2 = new Punto(5,7);      // p2  il punto (5,7) 
        assertFalse(p1.equals(p2));
	}

	@Test
	public void test_Trasla() {
        Punto p1, p2;  // due punti  
        p1 = new Punto(3,4);      // p1  il punto (3,4) 
        p2 = new Punto(5,7);      // p2  il punto (5,7) 
        p2.trasla(-2, -3);        // ora p2  il punto (3,4)
        assertTrue(p1.equals(p2));
	}

	@Test
	public void test_Distanza() {
        Punto p1, p2;  // due punti  
        p1 = new Punto(3,4);      // p1  il punto (3,4) 
        p2 = new Punto(7,1);      // p2  il punto (7,7) 
        assertEquals(5.0, Punto.distanza(p1,p2), 1e-5);
	}

	
}
