/* 
 * Fusione di array ordinati. 
 */ 
public class Fusione { 

    /* Fonde gli array a e b ordinati in modo
     * non decrescente in un nuovo array ordinato. */
    public static int[] fusione(int[] a, int[] b) {
        // pre: a!=null && b!=null &&
        //      a e b ordinati in modo non decrescente
        int[] s;    // risultato della fusione di a e b
        int ia, ib, is;    // indici per a, b, s

        /* inizializzazioni */
        s = new int[a.length+b.length];
        ia = 0;    
        ib = 0;    
        is = 0;
        
        /* prima fase della fusione: inserisci da a e b */
        while (ia<a.length && ib<b.length) {
            /* inserisci in s il pi piccolo tra a[ia] e b[ib] */
            if (a[ia]<b[ib]) {
                s[is] = a[ia];
                ia++;
            } else {
                s[is] = b[ib];
                ib++;
            }
            is++;
        }
        
        /* seconda fase della fusione: inserisci da a o b */
        /* inserisci da a */
        while (ia<a.length) {
            s[is] = a[ia];
            ia++;    is++;
        }
        /* inserisci da b */
        while (ib<b.length) {
            s[is] = b[ib];
            ib++;    is++;
        }
        
        return s;
    }

} 