/* 
 * Calcolo del massimo tra gli elementi di un array. 
 */ 
public class Massimo { 

    /* Calcola l'elemento di valore massimo dell'array a. */
    public static int massimo(int[] a) {
        // pre: a!=null && a.length>0 (ovvero, a non vuoto)
        int massimo;    // il massimo di a
        int i;          // indice per la scansione di a

        /* il primo elemento di a viene scelto
         * come massimo provvisorio */
        massimo = a[0];    // OK, a non vuoto
        /* scandisce a alla ricerca del massimo */
        for (i=1; i<a.length; i++) {
            if (a[i] > massimo) {
                massimo = a[i];
            }
            /* ora massimo  il massimo tra gli
             * elementi di indice 0,...,i */
        }
        return massimo;
    }

} 