/* 
 * Elementi positivi di un array. 
 */ 
public class Positivi { 

    /* Calcola un nuovo array che contiene tutti e soli gli
     * elementi di valore positivo di a,
     * disposti nello stesso ordine in cui occorrono in a. */
    public static int[] positivi(int[] a) {
        // pre: a!=null
        int p;        // numero degli elementi positivi di a
        int[] pos;    // l'array dei positivi di a
        int i;        // indice per la scansione di a
        int j;        // indice per la scansione di pos

        /* calcola il numero di elementi positivi di a */
        p = contaPositivi(a); 
        /* crea l'array per i positivi */
        pos = new int[p];
        /* trascrivi in pos gli elementi positivi di a,
         * nello stesso ordine in cui occorrono in a */
        j = 0;
        for (i=0; i<a.length; i++) {
            if (a[i]>0) {
                /* a[i]  positivo e va trascritto in pos[j] */
                pos[j] = a[i]; 
                j++; 
            }
        }
        /* restituisci pos */
        return pos;
    }

    /* Calcola il numero di elementi positivi di a. */
    private static int contaPositivi(int[] a) {
        // pre: a!=null
        int p;        // numero degli elementi positivi di a
        int i;        // indice per la scansione di a

        /* calcola il numero di elementi positivi di a */
        p = 0;
        for (i=0; i<a.length; i++) {
            if (a[i]>0) 
                p++;
        }
        return p; 
    }
 
} 