/* 
 * Ricerca sequenziale in un array. 
 */ 
public class RicercaSequenziale { 

    /* Verifica se l'array a contiene un elemento uguale a chiave,
     * restituisce la posizione della prima occorrenza di chiave
     * in a, oppure -1. */
    public static int ricercaSequenziale(int[] a, int chiave) {
        // pre: a!=null
        int posizione;    // posizione di chiave in a
        int i;            // indice per la scansione di a

        /* scandisce gli elementi di a alla ricerca della
         * prima occorrenza di chiave in a */
        posizione = -1;
        for (i=0; i<a.length; i++) {
            if (a[i]==chiave) {
                posizione = i;
                break; 
            }
        }
        return posizione;
    }
 
} 