import static org.junit.Assert.*;

import org.junit.Test;


public class TestRicercaBinaria {

    @Test 
    public void testRicercaBinaria_0_Successo() {
        assertEquals(0, RicercaBinaria.ricercaBinaria( new int[] { 0, 1, 3, 4, 7, 9, 12, 16, 22, 34 }, 0 ));
    }

    @Test 
    public void testRicercaBinaria_7_Successo() {
        assertEquals(4, RicercaBinaria.ricercaBinaria( new int[] { 0, 1, 3, 4, 7, 9, 12, 16, 22, 34 }, 7 ));
    }
    
    @Test 
    public void testRicercaBinaria_22_Successo() {
        assertEquals(8, RicercaBinaria.ricercaBinaria( new int[] { 0, 1, 3, 4, 7, 9, 12, 16, 22, 34 }, 22 ));
    }

    @Test 
    public void testRicercaBinaria_34_Successo() {
        assertEquals(9, RicercaBinaria.ricercaBinaria( new int[] { 0, 1, 3, 4, 7, 9, 12, 16, 22, 34 }, 34 ));
    }
    
    @Test 
    public void testRicercaBinaria_meno10_Fallimento() {
        assertEquals(-1, RicercaBinaria.ricercaBinaria( new int[] { 0, 1, 3, 4, 7, 9, 12, 16, 22, 34 }, -10 ));
    }

    @Test 
    public void testRicercaBinaria_18_Fallimento() {
        assertEquals(-1, RicercaBinaria.ricercaBinaria( new int[] { 0, 1, 3, 4, 7, 9, 12, 16, 22, 34 }, 18 ));
    }
    
    @Test 
    public void testRicercaBinaria_100_Fallimento() {
        assertEquals(-1, RicercaBinaria.ricercaBinaria( new int[] { 0, 1, 3, 4, 7, 9, 12, 16, 22, 34 }, 100 ));
    }


}
