/* 
 * Visualizzazione degli elementi di un array. 
 */ 
public class Visualizzazione { 

    /* Visualizza sullo schermo gli elementi dell'array a. */
    public static void visualizza(int[] a) {
        // pre: a!=null
        int i;        // indice per la scansione di a

        /* visualizza gli elementi di a, separandoli da spazi */
        for (i=0; i<a.length; i++) {
            System.out.print(a[i] + " ");
        }
        /* poi va a capo */
        System.out.println();
    }

    /* Applicazione di prova. */ 
    public static void main(String[] args) { 
        /* sbagliata */
        System.out.println( new int[] { 1, 2, 3, 10 } ); 
        /* ok */
        visualizza( new int[] { 1, 2, 3, 10 } ); 
    }
    
} 