/* 
 * Clonazione di un array di array. 
 */ 
public class Clonazione { 

    /* Crea una copia dell'array di array a. */
    public static int[][] clona(int[][] a) {
        // pre: a!=null
        int[][] c;    // array di array clone di a
        int i;      // indice per la scansione delle righe di a e c

        /* crea c, della stessa lunghezza di a */
        c = new int[a.length][];
        /* copia i cloni delle righe di a in c */
        for (i=0; i<c.length; i++) {
            c[i] = clona( a[i] );
        }
        /* restituisce il clone */
        return c;
    }

    /* Crea una copia dell'array a. */
    public static int[] clona(int[] a) {
        // pre: a!=null
        int[] c;    // array clone di a
        int i;      // indice per la scansione di a e c

        /* crea c, della stessa lunghezza di a */
        c = new int[a.length];
        /* copia gli elementi di a in c */
        for (i=0; i<c.length; i++) {
            c[i] = a[i];
        }
        /* restituisce il clone */
        return c;
    }
 
} 