import java.util.*;
/* 
 * Scansione di un insieme con l'istruzione for-each.  
 */ 
public class ContaXForEach {

    /* Conta quante stringhe dell'insieme s 
     * contengono il carattere `X'. */ 
    public static int contaX(Set<String> s) {
        // pre: s!=null && ogni elemento di s  non null 
        int stringheConX;    // quanti elementi di s 
                             // contengono almeno una `X' 

        /* conta le stringhe con una `X', 
         * scandendo gli elementi di s */
        stringheConX = 0; 
        for (String t : s) { 
            if ( t.indexOf('X')>=0 ) {
                stringheConX++; 
            } 
        }
        return stringheConX; 
    }

}