import java.util.HashSet;
import java.util.Set;

public class Divisori {

	/* Calcola l'insieme dei divisori di un numero intero positivo n. */ 
	public static Set<Integer> divisori(int n) {
		// pre: n>0
		int i;    // per iterare sui potenziali divisori di n 
		
		Set<Integer> divisori = new HashSet<Integer>(); 
		for (i=1; i<=n; i++) {
			if (n%i==0) {
				divisori.add(i); 
			}
		}
		return divisori; 
	}
	
}
