import java.util.*;
/* 
 * Scansione di un insieme con un iteratore, 
 * con rimozione di elementi.  
 */ 
public class RimuoviXIteratore {

    /* Rimuove dall'insieme s di stringhe tutte le stringhe
     * che contengono il carattere X. */
    public static void rimuoviStringheConX(Set<String> s) {
        // pre: pre: s!=null && ogni elemento di s  non null 
        Iterator<String> it;    // per visitare gli elementi di s
        String t;        // un elemento di s

        /* itera sugli elementi di s 
         * e rimuovi quelli che contengono una `X' */
        it = s.iterator();
        while ( it.hasNext() ) {
            t = it.next();
            if ( t.indexOf('X')>=0 ) {
                /* rimuovi t (l'elemento corrente di it) da s */ 
                it.remove(); 
            } 
        }
    }

}