import java.util.*;

/* 
 * Esemplifica l'uso di un insieme di stringhe. 
 */ 
public class UnInsiemeDiStringhe {
    public static void main(String[] args) {
        Set<String> s;    // un insieme di stringhe

        /* crea un nuovo insieme s */
        s = new HashSet<String>();

        /* inserisci alcune stringhe nell'insieme s */
        s.add("uno");
        s.add("due");
        s.add("tre");

        /* accedi all'insieme */
        System.out.println( s.size() );             // 3
        System.out.println( s.contains("uno") );    // true
        System.out.println( s.contains("sei") );    // false
        System.out.println( s.toString() );         // [tre, uno, due]

        /* modifica l'insieme s */
        s.add("uno");                            // s non cambia
        System.out.println( s.size() );          // 3
        s.remove("due");
        System.out.println( s.size() );          // 2
        System.out.println( s.toString() );      // [tre, uno]
    }
}
