import java.util.*;

/* 
 * Esemplifica l'uso delle mappe. 
 */ 
public class UnSempliceDizionario {
    public static void main(String[] args) {
        Map<String,String> m;    // un insieme di coppie di stringhe 
                                 // (parola italiana, traduzione inglese)

        /* crea una nuova mappa m */
        m = new HashMap<String,String>();

        /* inserisci alcune coppie nella mappa m */
        m.put("uno", "one");
        m.put("due", "two");
        m.put("tre", "tree");        // oops...

        /* accedi alla mappa */
        System.out.println( m.size() );            // 3
        System.out.println( m.get("uno") );        // one
        System.out.println( m.get("quattro") );    // null
        System.out.println( m.toString() );
              // {tre=tree, uno=one, due=two}

        /* modifica la mappa m, correggendo l'errore */
        m.put("tre", "three");               // cos  meglio
        System.out.println( m.size() );            // ancora 3
        System.out.println( m.get("tre") );        // three
    }
}