import java.util.*;

/* 
 * Esemplifica l'uso di una lista di stringhe. 
 */ 
public class UnaListaDiStringhe {
    public static void main(String[] args) {
    	List<String> l;    // una lista di stringhe

    	/* crea una nuova lista l */
    	l = new LinkedList<String>();

    	/* inserisci alcune stringhe nella lista l */
    	l.add("due");
    	l.add("quattro");
    	l.add("sei");

    	/* accedi alla lista */
    	System.out.println( l.size() );      // 3
    	System.out.println( l.get(0) );      // due
    	System.out.println( l.toString() );  // [due, quattro, sei]

    	/* modifica la lista l */
    	l.add(1, "tre");    // inserimento tra "due" e "quattro"
    	l.add(0, "uno");    // inserimento come primo elemento 
    	l.remove(4);        // cancella "sei"
    	System.out.println( l.size() );      // 4
    	System.out.println( l.toString() );  // [uno, due, tre, quattro]
    }
}