import java.awt.event.*;

/* 
 * Ascoltatore di eventi per l'applicazione PremiIlPulsante. 
 */
class AscoltatorePerPremiIlPulsante implements ActionListener {
    /* Applicazione che usa l'ascoltatore */
    private PremiIlPulsante pip;

    /* Crea un nuovo ascoltatore per l'applicazione pip. */
    public AscoltatorePerPremiIlPulsante(PremiIlPulsante pip) {
        this.pip = pip;
    }
    /* Gestione degli eventi d'azione. */
    public void actionPerformed(ActionEvent e) {
        /* l'unico possibile evento d'azione 
         * che sia stato premuto il pulsante di pip */
        pip.conteggiaPulsante();
    }
}
