import javax.swing.*;
import java.awt.event.*; 

/* L'applicazione PremiIlPulsante. */
public class PremiIlPulsante extends JFrame {
    /* variabili d'istanza per i componenti dell'interfaccia */ 
    /* il pulsante */
    private JButton pulsante;
    /* etichetta per visualizzare quante volte 
     * stato premuto il pulsante */
    private JLabel etichettaContatore;
    
    /* altre variabili d'istanza */
    /* conta quante volte  stato premuto il pulsante */
    private int contatore;
    
    /* Crea una nuova applicazione PremiIlPulsante. */
    public PremiIlPulsante() {
        /* inizializza la frame */
        super();

        /* inizializzazioni locali */ 
        /* finora il pulsante non  mai stato premuto */
        this.contatore = 0;

        /* l'esecuzione dell'applicazione termina con
         * la chiusura della frame */
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        /* assegna un titolo alla frame */
        this.setTitle("Premi il pulsante!");

        /* inizializza l'interfaccia dell'applicazione */
        this.inizializzaGUI();

        /* dimensiona e visualizza la frame */
        this.pack();
        this.setVisible(true);
    }
    
    /* Inizializza l'interfaccia grafica dell'applicazione
     * e la gestione degli eventi. */
    private void inizializzaGUI() {
        /* pannello usato come contenitore intermedio */
        JPanel intermedio;

        /* ascoltatore per gli eventi d'azione */
        ActionListener asc;
        
        /* crea il contenitore intermedio */
        intermedio = new JPanel();
       
        /* crea il gestore di layout del contenitore intermedio */
       
        /* crea i componenti dell'interfaccia grafica */ 
        /* crea il pulsante */
        pulsante = new JButton("Premimi!");
        /* crea l'etichetta per visualizzare quante volte 
         * stato premuto il pulsante */
        etichettaContatore = new JLabel();
        etichettaContatore.setText("Il pulsante  stato premuto " +
                                   this.contatore + " volte");
       
        /* crea gli ascoltatori di eventi */
        /* crea un ascoltatore degli eventi di azione */
        asc = new AscoltatorePerPremiIlPulsante(this);
       
        /* registra le sorgenti di eventi */
        /* registra gli eventi del pulsante */
        pulsante.addActionListener(asc);

        /* aggiunge i componenti al contenitore intermedio */
        /* aggiunge pulsante e etichetta al pannello intermedio */
        intermedio.add(pulsante);
        intermedio.add(etichettaContatore);
       
        /* aggiunge il contenitore intermedio alla frame */
        this.getContentPane().add(intermedio);
    }
    
    /* altri metodi */
    /* Il pulsante  stato premuto. */
    public void conteggiaPulsante() {
        /* incrementa contatore */
        this.contatore++;
        /* aggiorna il valore visualizzato da etichettaContatore */
        etichettaContatore.setText(
            "Il pulsante  stato premuto " +
            this.contatore + " volte");
    }

    /* L'applicazione PremiIlPulsante. */
    public static void main(String[] args) {
        /* crea ed avvia una nuova applicazione PremiIlPulsante */
        new PremiIlPulsante();
    }
}
