import javax.swing.*;

/* 
 * L'applicazione PulsanteEEtichetta, 
 * con un pulsante e un'etichetta. 
 */
public class PulsanteEEtichetta extends JFrame {
    /* variabili d'istanza per i componenti dell'interfaccia */ 
    private JButton pulsante;     // un pulsante
    private JLabel etichetta;    // un'etichetta
    
    /* altre variabili d'istanza */
    
    /* Crea una nuova applicazione BottoneEEtichetta. */
    public PulsanteEEtichetta() {
        /* inizializza la frame */
        super();

        /* l'esecuzione dell'applicazione termina con
         * la chiusura della frame */
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        /* assegna un titolo alla frame */
        this.setTitle("Interfaccia grafica con un pulsante e un'etichetta");

        /* inizializza l'interfaccia dell'applicazione */
        this.inizializzaGUI();

        /* dimensiona e visualizza la frame */
        this.pack();
        this.setVisible(true); 
    }
    
   /* Inizializza l'interfaccia grafica dell'applicazione
    * e la gestione degli eventi. */
   private void inizializzaGUI() {
       /* pannello usato come contenitore intermedio */
       JPanel intermedio;

       /* crea il contenitore intermedio */
       intermedio = new JPanel();
       
       /* crea il gestore di layout del contenitore intermedio */
       
       /* crea i componenti dell'interfaccia grafica */ 
        pulsante = new JButton("Un pulsante");
        etichetta = new JLabel("Un'etichetta");
       
       /* crea gli ascoltatori di eventi */
       
       /* registra le sorgenti di eventi */

       /* aggiunge i componenti al contenitore intermedio */
        intermedio.add(pulsante);
        intermedio.add(etichetta);
       
       /* aggiunge il contenitore intermedio alla frame */
       this.getContentPane().add(intermedio);
   }
    
    /* altri metodi */

    /* L'applicazione PulsanteEEtichetta. */
    public static void main(String[] args) {
        /* crea ed avvia una nuova applicazione PulsanteEEtichetta */
        new PulsanteEEtichetta();
    }
}
